Geofences: Index
GET /apps/{app_id}/geofencesPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Query Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
page |
string | No | page number |
per_page |
string | No | records per page |
shape |
string | No | Geofences shape (circle, polygon) |
group_ids |
string | No | Group ids |
search_query |
string | No | search geofences by name |
sort |
string | No | Sort by name etc |
order |
string | No | sort records in ascending or descending order i.e. asc, desc |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://control.pulsatehq.com/api/v2/apps/{app_id}/geofences?shape=circle&sort=name&order=DESC' \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "data": [ { "id": "67f660b5a46a6f7d4ade58a9", "name": "test 2", "created_at": "2025-04-09T11:57:41Z", "updated_at": "2025-04-09T11:57:41Z", "guid": "8dt-UF9i", "groups": [], "location": [ 33.69352607, 73.04613069 ], "type": "enter", "shape": "circle", "radius": 1517, "radius_unit": "feet" }, { "id": "67f65feca46a6f7d4ade58a3", "name": "test", "created_at": "2025-04-09T11:54:20Z", "updated_at": "2025-04-09T11:54:23Z", "guid": "aAhY8ycl", "groups": [], "location": [ 33.71390302, 73.03544477 ], "type": "enter", "shape": "circle", "radius": 4099, "radius_unit": "feet" } ], "bulk_actions": { "delete": "/api/v2/apps/67e2b7f5a46a6fb2be317885/geofences/batch_destroy", "add_to_group": "/api/v2/apps/67e2b7f5a46a6fb2be317885/groups/add_resources", "remove_from_group": "/api/v2/apps/67e2b7f5a46a6fb2be317885/groups/remove_resources" }, "metadata": { "page": 1, "per_page": 1000, "total_pages": 1, "data_count": 2, "groups": [], "location": [ 33.69, 73.0551 ], "min_radius": 50, "max_radius": 2000, "export_link": "/api/v2/apps/67e2b7f5a46a6fb2be317885/geofences/export" }}
